GNU bug report logs - #40125
Problem with guix offload: Remote channel closed

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: mikael@HIDDEN; dated Wed, 18 Mar 2020 20:00:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 40125 <at> debbugs.gnu.org:


Received: (at 40125) by debbugs.gnu.org; 21 Mar 2020 22:16:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 21 18:16:55 2020
Received: from localhost ([127.0.0.1]:48337 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jFmQJ-00028b-8d
	for submit <at> debbugs.gnu.org; Sat, 21 Mar 2020 18:16:55 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43534)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jFmQI-00028J-4G
 for 40125 <at> debbugs.gnu.org; Sat, 21 Mar 2020 18:16:54 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51815)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1jFmQC-0002VT-Lx; Sat, 21 Mar 2020 18:16:48 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=56312 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jFmQB-0006kM-LG; Sat, 21 Mar 2020 18:16:48 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Mikael Djurfeldt <mikael@HIDDEN>
Subject: Re: bug#40125: Problem with guix offload: Remote channel closed
References: <CAA2XvwKTtJvmKVkgKQw+ZnkyFxdScNLx6KWx4DQx3eP4rt8UUw@HIDDEN>
 <CAA2XvwKrnhVRNykuXDtMvcqFAU7d0MRvaOF6xzhYCtQxu_5LPw@HIDDEN>
 <87eetl1zce.fsf@HIDDEN>
 <CAA2XvwJs34HBvSamsXtK7=5LydNkgxEAxJsYAU_qSYnemr-yoA@HIDDEN>
Date: Sat, 21 Mar 2020 23:16:45 +0100
In-Reply-To: <CAA2XvwJs34HBvSamsXtK7=5LydNkgxEAxJsYAU_qSYnemr-yoA@HIDDEN>
 (Mikael Djurfeldt's message of "Sat, 21 Mar 2020 17:05:20 +0100")
Message-ID: <87pnd5wdyq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40125
Cc: 40125 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi Mikael,

Mikael Djurfeldt <mikael@HIDDEN> skribis:

> I will look at the other buh reports. Meanwhile, do you have any hint on
> where to look/insert logging code in order to see what is going on?

On =E2=80=98wand=E2=80=99, can you run something like:

  sudo strace -s 500 -p $(pidof sshd) -f -o sshd.log

After that, run =E2=80=98guix offload test=E2=80=99 from the other host, an=
d check what
=E2=80=98sshd.log=E2=80=99 contains.  If would in particular look for all t=
he =E2=80=98execve=E2=80=99
syscalls as well as what happens right before =E2=80=98exit_group=E2=80=99 =
syscalls.
There are probably error messages lurking there.  :-)

You can share excerpts of the log but note that it will contain
sensitive crypto material, so beware.

Thanks in advance,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#40125; Package guix. Full text available.

Message received at 40125 <at> debbugs.gnu.org:


Received: (at 40125) by debbugs.gnu.org; 21 Mar 2020 20:00:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 21 16:00:39 2020
Received: from localhost ([127.0.0.1]:48127 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jFkIR-0002B7-EQ
	for submit <at> debbugs.gnu.org; Sat, 21 Mar 2020 16:00:39 -0400
Received: from mail-ua1-f42.google.com ([209.85.222.42]:33162)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mdjurfeldt@HIDDEN>) id 1jFkIQ-0002Ac-L8
 for 40125 <at> debbugs.gnu.org; Sat, 21 Mar 2020 16:00:38 -0400
Received: by mail-ua1-f42.google.com with SMTP id i7so3573539uap.0
 for <40125 <at> debbugs.gnu.org>; Sat, 21 Mar 2020 13:00:38 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:reply-to
 :from:date:message-id:subject:to:cc;
 bh=mnA6XmjVbsUbJoO1B2zvfyF2e9giIb+DMyhwo/CLsng=;
 b=heeNSEBHjniXwXSJJzpqPFCLbvQATF/wUzXoODQG/ZuNxUNwQm/Lp5YilHtvBzTtmJ
 nBKFXrd9gXEjl/IjD+iCgYeE5A9xJGymyb+WeltNyaxNryDrjeuGR/FanexPt0X4ED0w
 IOEshXM/SZ1HvWa/HdJ6KdyOtw/qr6NBSiuOmUjfJZp4z4HooGl51eOUSlKYZNSSQFUi
 WVLlvGEfXT8Hc9f4CTTAH38veCv44DDLZ6EYBzTyXFxE7cIDXwfXjwFJgwLuHRwG9iBR
 KWjLmCDFJoRpW65QL7nGV+6kdhlwgzhAR9/Y1SNkcGKUoPRJ5Dv7/q6JliaUpP3SXnGr
 Q/9g==
X-Gm-Message-State: ANhLgQ15KfM5XqIHG+IQZmZfJf+VFaKZYsrqIH8zP0x+buCPnMlmkrsQ
 Xa3ppXLbNQabGRsv6KaGl0TTWn1qdthKQ0fgpSs=
X-Google-Smtp-Source: ADFU+vsVZich+TxgKdj+RZn4G/u5oFLg2u51bvHacv+P5gF15iRuS/GaMPJwfQE/L0mUsqXletd/PkP0O/Ep55Jd8VI=
X-Received: by 2002:a9f:2310:: with SMTP id 16mr9579614uae.57.1584820833181;
 Sat, 21 Mar 2020 13:00:33 -0700 (PDT)
MIME-Version: 1.0
References: <CAA2XvwKTtJvmKVkgKQw+ZnkyFxdScNLx6KWx4DQx3eP4rt8UUw@HIDDEN>
 <CAA2XvwKrnhVRNykuXDtMvcqFAU7d0MRvaOF6xzhYCtQxu_5LPw@HIDDEN>
 <87eetl1zce.fsf@HIDDEN>
 <CAA2XvwJs34HBvSamsXtK7=5LydNkgxEAxJsYAU_qSYnemr-yoA@HIDDEN>
In-Reply-To: <CAA2XvwJs34HBvSamsXtK7=5LydNkgxEAxJsYAU_qSYnemr-yoA@HIDDEN>
From: Mikael Djurfeldt <mikael@HIDDEN>
Date: Sat, 21 Mar 2020 21:00:21 +0100
Message-ID: <CAA2Xvw+NQg1ywGCyu1RCLkJs5sPd6gYsrVpp7jC-kjPCrsHL4g@HIDDEN>
Subject: Re: bug#40125: Problem with guix offload: Remote channel closed
To: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000cb624b05a162da6a"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 40125
Cc: 40125 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: mikael@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--000000000000cb624b05a162da6a
Content-Type: text/plain; charset="UTF-8"

On Sat, Mar 21, 2020 at 5:05 PM Mikael Djurfeldt <mikael@HIDDEN>
wrote:

> Hi Ludovic! :-)
>
> I did generate the signing key on wand. (But is this sensitive to what
> user I used? O might have done it as root rather than as the ssh user used
> to login on wand.)
>

Sorry, I read your email on a cell phone and missed the "sudo" in front of
the command. Yes, I did that.

--000000000000cb624b05a162da6a
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr">On Sat, Mar 21, 2020 at 5:05 PM Mikael Dj=
urfeldt &lt;<a href=3D"mailto:mikael@HIDDEN">mikael@HIDDEN</a=
>&gt; wrote:<br></div><div class=3D"gmail_quote"><blockquote class=3D"gmail=
_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204=
,204);padding-left:1ex"><div dir=3D"auto"><div dir=3D"auto">Hi Ludovic! :-)=
</div><div dir=3D"auto"><br></div>I did generate the signing key on wand. (=
But is this sensitive to what user I used? O might have done it as root rat=
her than as the ssh user used to login on wand.)</div></blockquote><div><br=
></div><div>Sorry, I read your email on a cell phone and missed the &quot;s=
udo&quot; in front of the command. Yes, I did that.<br></div></div></div>

--000000000000cb624b05a162da6a--




Information forwarded to bug-guix@HIDDEN:
bug#40125; Package guix. Full text available.

Message received at 40125 <at> debbugs.gnu.org:


Received: (at 40125) by debbugs.gnu.org; 21 Mar 2020 16:05:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 21 12:05:45 2020
Received: from localhost ([127.0.0.1]:47835 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jFgd6-0005nt-VA
	for submit <at> debbugs.gnu.org; Sat, 21 Mar 2020 12:05:45 -0400
Received: from mail-vs1-f41.google.com ([209.85.217.41]:45881)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mdjurfeldt@HIDDEN>) id 1jFgd2-0005nZ-KT
 for 40125 <at> debbugs.gnu.org; Sat, 21 Mar 2020 12:05:43 -0400
Received: by mail-vs1-f41.google.com with SMTP id x82so5916538vsc.12
 for <40125 <at> debbugs.gnu.org>; Sat, 21 Mar 2020 09:05:40 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:reply-to
 :from:date:message-id:subject:to:cc;
 bh=LeNVUMF8z/SG0U5OSLRUy7Xo5ipWbOLjxHmrLXv/b7Q=;
 b=Y0ZSJoc1FH+cw1zThmdLgV1DC+bR222Nxm9hMOX5IMrkEScC2ZZbqzwlJBSSHjhYs6
 k6KsDLHMR5VVWU8IYAPnWaTH4NnnzSaraakX7rcr+v3XZBit4JnyrDBBSWL6KWNa/NWW
 kZNQIK6QI5JWNaGq6XOryfhlRaX7kwK9xdPByx2irC1q7xKKAGKwE/JRii3ZdDfqWM+q
 t3x+c4XyrXtkiRPMThQQlI+xcHPDTyXnsBjfyR4+RIjODsd7W+KGNwRnLiGmbr9W70rH
 Ejsd93kaBt+c+J+xHw+l0ssZ5Tt8i++ybVzS221ADAEOo57ItjFu48+37IoUABEmHqiN
 TkVg==
X-Gm-Message-State: ANhLgQ2ySl2HhlxxL6jTZVyd6dkBskxEzXM3m8bp90ty+WBauSWXO+X7
 vRKUEVef4/tx0Vei1n1trYVZNToH60RLgGZmxdJy0w==
X-Google-Smtp-Source: ADFU+vsfLdIw0bpjgQPxLTJOW63zNz2MU80CV7foegc0JTFsQwY9x56YCPyqP91aU48ajsqwi51Ee7Qf0AjsG9YQeBc=
X-Received: by 2002:a05:6102:22e5:: with SMTP id
 b5mr9783679vsh.101.1584806735237; 
 Sat, 21 Mar 2020 09:05:35 -0700 (PDT)
MIME-Version: 1.0
References: <CAA2XvwKTtJvmKVkgKQw+ZnkyFxdScNLx6KWx4DQx3eP4rt8UUw@HIDDEN>
 <CAA2XvwKrnhVRNykuXDtMvcqFAU7d0MRvaOF6xzhYCtQxu_5LPw@HIDDEN>
 <87eetl1zce.fsf@HIDDEN>
In-Reply-To: <87eetl1zce.fsf@HIDDEN>
From: Mikael Djurfeldt <mikael@HIDDEN>
Date: Sat, 21 Mar 2020 17:05:20 +0100
Message-ID: <CAA2XvwJs34HBvSamsXtK7=5LydNkgxEAxJsYAU_qSYnemr-yoA@HIDDEN>
Subject: Re: bug#40125: Problem with guix offload: Remote channel closed
To: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000007dd7cc05a15f92e2"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 40125
Cc: Mikael Djurfeldt <mikael@HIDDEN>, 40125 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: mikael@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--0000000000007dd7cc05a15f92e2
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hi Ludovic! :-)

I did generate the signing key on wand. (But is this sensitive to what user
I used? O might have done it as root rather than as the ssh user used to
login on wand.)

I will look at the other buh reports. Meanwhile, do you have any hint on
where to look/insert logging code in order to see what is going on?

Best regards,
Mikael

Den l=C3=B6r 21 mars 2020 16:50Ludovic Court=C3=A8s <ludo@HIDDEN> skrev:

> Hi Mikael!
>
> Good to see you here.  :-)
>
> Mikael Djurfeldt <mikael@HIDDEN> skribis:
>
> > mdj@hat:~$ guix offload test
> > guix offload: testing 1 build machines defined in
> > '/etc/guix/machines.scm'...
> > guix offload: Guix is usable on 'wand.pdc.kth.se' (test returned
> > "/gnu/store/883yjkl46dxw9mzykykmbs0yzwyxm17z-test")
> > guix offload: 'wand.pdc.kth.se' is running GNU Guile 3.0.1
> > sending 1 store item (0 MiB) to 'wand.pdc.kth.se'...
> > exporting path `/gnu/store/gl7dps3yx0vrxz16sj7q3w7gs3vdbxj4-export-test=
'
> > ;;; [2020/03/18 20:53:04.930901, 0] write_to_channel_port: [GSSH ERROR]
> > Remote channel is closed: #<input-output: channel (open) 7f5ed680e780>
> > Backtrace:
> >            1 (primitive-load "/home/mdj/.config/guix/current/bin/guix")
> > In guix/ui.scm:
> >   1833:12  0 (run-guix-command _ . _)
> >
> > guix/ui.scm:1833:12: In procedure run-guix-command:
> > Throw to key `guile-ssh-error' with args `("write_to_channel_port"
> "Remote
> > channel is closed" #<input-output: channel (open) 7f5ed680e780> #f)'.
>
> Did you generate a signing key on wand.pdc.kth.se?  Specifically with:
>
>   sudo guix archive --generate-key
>
> (See
> <https://guix.gnu.org/manual/devel/en/html_node/Invoking-guix-archive.htm=
l
> >.)
>
> Error reporting in guix offload is currently suboptimal as you have
> seen.  There=E2=80=99s a couple of bug reports open on that topic, so hop=
efully
> we=E2=80=99ll get there soon!
>
> Ludo=E2=80=99.
>

--0000000000007dd7cc05a15f92e2
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto"><div dir=3D"auto">Hi Ludovic! :-)</div><div dir=3D"auto">=
<br></div>I did generate the signing key on wand. (But is this sensitive to=
 what user I used? O might have done it as root rather than as the ssh user=
 used to login on wand.)<div dir=3D"auto"><br></div><div dir=3D"auto">I wil=
l look at the other buh reports. Meanwhile, do you have any hint on where t=
o look/insert logging code in order to see what is going on?</div><div dir=
=3D"auto"><br></div><div dir=3D"auto">Best regards,</div><div dir=3D"auto">=
Mikael</div></div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"=
gmail_attr">Den l=C3=B6r 21 mars 2020 16:50Ludovic Court=C3=A8s &lt;<a href=
=3D"mailto:ludo@HIDDEN">ludo@HIDDEN</a>&gt; skrev:<br></div><blockquote c=
lass=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;=
padding-left:1ex">Hi Mikael!<br>
<br>
Good to see you here.=C2=A0 :-)<br>
<br>
Mikael Djurfeldt &lt;<a href=3D"mailto:mikael@HIDDEN" target=3D"_bla=
nk" rel=3D"noreferrer">mikael@HIDDEN</a>&gt; skribis:<br>
<br>
&gt; mdj@hat:~$ guix offload test<br>
&gt; guix offload: testing 1 build machines defined in<br>
&gt; &#39;/etc/guix/machines.scm&#39;...<br>
&gt; guix offload: Guix is usable on &#39;<a href=3D"http://wand.pdc.kth.se=
" rel=3D"noreferrer noreferrer" target=3D"_blank">wand.pdc.kth.se</a>&#39; =
(test returned<br>
&gt; &quot;/gnu/store/883yjkl46dxw9mzykykmbs0yzwyxm17z-test&quot;)<br>
&gt; guix offload: &#39;<a href=3D"http://wand.pdc.kth.se" rel=3D"noreferre=
r noreferrer" target=3D"_blank">wand.pdc.kth.se</a>&#39; is running GNU Gui=
le 3.0.1<br>
&gt; sending 1 store item (0 MiB) to &#39;<a href=3D"http://wand.pdc.kth.se=
" rel=3D"noreferrer noreferrer" target=3D"_blank">wand.pdc.kth.se</a>&#39;.=
..<br>
&gt; exporting path `/gnu/store/gl7dps3yx0vrxz16sj7q3w7gs3vdbxj4-export-tes=
t&#39;<br>
&gt; ;;; [2020/03/18 20:53:04.930901, 0] write_to_channel_port: [GSSH ERROR=
]<br>
&gt; Remote channel is closed: #&lt;input-output: channel (open) 7f5ed680e7=
80&gt;<br>
&gt; Backtrace:<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 1 (primitive-load &quot;/home=
/mdj/.config/guix/current/bin/guix&quot;)<br>
&gt; In guix/ui.scm:<br>
&gt;=C2=A0 =C2=A01833:12=C2=A0 0 (run-guix-command _ . _)<br>
&gt;<br>
&gt; guix/ui.scm:1833:12: In procedure run-guix-command:<br>
&gt; Throw to key `guile-ssh-error&#39; with args `(&quot;write_to_channel_=
port&quot; &quot;Remote<br>
&gt; channel is closed&quot; #&lt;input-output: channel (open) 7f5ed680e780=
&gt; #f)&#39;.<br>
<br>
Did you generate a signing key on <a href=3D"http://wand.pdc.kth.se" rel=3D=
"noreferrer noreferrer" target=3D"_blank">wand.pdc.kth.se</a>?=C2=A0 Specif=
ically with:<br>
<br>
=C2=A0 sudo guix archive --generate-key<br>
<br>
(See<br>
&lt;<a href=3D"https://guix.gnu.org/manual/devel/en/html_node/Invoking-guix=
-archive.html" rel=3D"noreferrer noreferrer" target=3D"_blank">https://guix=
.gnu.org/manual/devel/en/html_node/Invoking-guix-archive.html</a>&gt;.)<br>
<br>
Error reporting in guix offload is currently suboptimal as you have<br>
seen.=C2=A0 There=E2=80=99s a couple of bug reports open on that topic, so =
hopefully<br>
we=E2=80=99ll get there soon!<br>
<br>
Ludo=E2=80=99.<br>
</blockquote></div>

--0000000000007dd7cc05a15f92e2--




Information forwarded to bug-guix@HIDDEN:
bug#40125; Package guix. Full text available.

Message received at 40125 <at> debbugs.gnu.org:


Received: (at 40125) by debbugs.gnu.org; 21 Mar 2020 15:50:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 21 11:50:52 2020
Received: from localhost ([127.0.0.1]:47824 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jFgOh-0005Lq-Vv
	for submit <at> debbugs.gnu.org; Sat, 21 Mar 2020 11:50:52 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56659)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jFgOf-0005Lb-7Y
 for 40125 <at> debbugs.gnu.org; Sat, 21 Mar 2020 11:50:50 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46879)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1jFgOZ-0006Z7-MY; Sat, 21 Mar 2020 11:50:43 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=55982 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jFgOZ-0005Xj-6F; Sat, 21 Mar 2020 11:50:43 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Mikael Djurfeldt <mikael@HIDDEN>
Subject: Re: bug#40125: Problem with guix offload: Remote channel closed
References: <CAA2XvwKTtJvmKVkgKQw+ZnkyFxdScNLx6KWx4DQx3eP4rt8UUw@HIDDEN>
 <CAA2XvwKrnhVRNykuXDtMvcqFAU7d0MRvaOF6xzhYCtQxu_5LPw@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 2 Germinal an 228 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sat, 21 Mar 2020 16:50:41 +0100
In-Reply-To: <CAA2XvwKrnhVRNykuXDtMvcqFAU7d0MRvaOF6xzhYCtQxu_5LPw@HIDDEN>
 (Mikael Djurfeldt's message of "Wed, 18 Mar 2020 21:01:36 +0100")
Message-ID: <87eetl1zce.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40125
Cc: 40125 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi Mikael!

Good to see you here.  :-)

Mikael Djurfeldt <mikael@HIDDEN> skribis:

> mdj@hat:~$ guix offload test
> guix offload: testing 1 build machines defined in
> '/etc/guix/machines.scm'...
> guix offload: Guix is usable on 'wand.pdc.kth.se' (test returned
> "/gnu/store/883yjkl46dxw9mzykykmbs0yzwyxm17z-test")
> guix offload: 'wand.pdc.kth.se' is running GNU Guile 3.0.1
> sending 1 store item (0 MiB) to 'wand.pdc.kth.se'...
> exporting path `/gnu/store/gl7dps3yx0vrxz16sj7q3w7gs3vdbxj4-export-test'
> ;;; [2020/03/18 20:53:04.930901, 0] write_to_channel_port: [GSSH ERROR]
> Remote channel is closed: #<input-output: channel (open) 7f5ed680e780>
> Backtrace:
>            1 (primitive-load "/home/mdj/.config/guix/current/bin/guix")
> In guix/ui.scm:
>   1833:12  0 (run-guix-command _ . _)
>
> guix/ui.scm:1833:12: In procedure run-guix-command:
> Throw to key `guile-ssh-error' with args `("write_to_channel_port" "Remote
> channel is closed" #<input-output: channel (open) 7f5ed680e780> #f)'.

Did you generate a signing key on wand.pdc.kth.se?  Specifically with:

  sudo guix archive --generate-key

(See
<https://guix.gnu.org/manual/devel/en/html_node/Invoking-guix-archive.html>=
.)

Error reporting in guix offload is currently suboptimal as you have
seen.  There=E2=80=99s a couple of bug reports open on that topic, so hopef=
ully
we=E2=80=99ll get there soon!

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#40125; Package guix. Full text available.

Message received at 40125 <at> debbugs.gnu.org:


Received: (at 40125) by debbugs.gnu.org; 18 Mar 2020 20:01:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 18 16:01:57 2020
Received: from localhost ([127.0.0.1]:41457 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jEet2-0005V8-TT
	for submit <at> debbugs.gnu.org; Wed, 18 Mar 2020 16:01:57 -0400
Received: from mail-vs1-f66.google.com ([209.85.217.66]:33694)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mdjurfeldt@HIDDEN>) id 1jEet1-0005Uu-7n
 for 40125 <at> debbugs.gnu.org; Wed, 18 Mar 2020 16:01:55 -0400
Received: by mail-vs1-f66.google.com with SMTP id y138so48846vsy.0
 for <40125 <at> debbugs.gnu.org>; Wed, 18 Mar 2020 13:01:55 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:reply-to:from:date:message-id
 :subject:to:cc;
 bh=NfkKulxdGmkvmFREl/G++LNPJA67JgHdhGRvKm63uQ0=;
 b=dUI18Ye0kmAJigTG9Zf83aFnQKKLOWIhyJZ2kITOBp/BD3YsP1+wcsNUByYy8mmuYs
 Bphjt5TGCnxjmGSA7+OuWoZrLO6IkpWJz8k78rGbs5uQOvxleQlmyhehn7uz6GmSeWgE
 b60c/zKCDcE8CbCXYEOwE0ITzpFXO463UfB4Qb+KrXkx2aeLSJ6ttT8jxGAiuNezV6kq
 Iym+3XS9ZaB3bgcBxUVk0Nxiqhi/v4mrOIXoOeZXE1I6qw/dInsAYCiifuwWw2frOXdS
 0pCPtLT7VnBGZ8F+xXsAswy7SIwcFIcJONQWf70nJsIVVEdhXnx4yqlJ5It34lTeHlwq
 Yszw==
X-Gm-Message-State: ANhLgQ3z9uAyZMxMm0snMb2AtzTXYeuCCLjcYxfj/97ihNEyZW1/SpUv
 aj5FbpMVKuNX9iCZHIC1GH7fAkV5vKEXkwZNKaIlw+yN
X-Google-Smtp-Source: ADFU+vt2QJKyzp88km1i/rirsIoaLPEFR49JyKKbZFoWODR1Tw2Vv5IncMvidjQfsp7Lr+7FofP75Jcuz2qGs4m2Kio=
X-Received: by 2002:a05:6102:22e5:: with SMTP id
 b5mr4453295vsh.101.1584561707940; 
 Wed, 18 Mar 2020 13:01:47 -0700 (PDT)
MIME-Version: 1.0
From: Mikael Djurfeldt <mikael@HIDDEN>
Date: Wed, 18 Mar 2020 21:01:36 +0100
Message-ID: <CAA2XvwKrnhVRNykuXDtMvcqFAU7d0MRvaOF6xzhYCtQxu_5LPw@HIDDEN>
Subject: Problem with guix offload: Remote channel closed
To: 40125 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="000000000000ba029a05a126856f"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 40125
Cc: Mikael Djurfeldt <mikael@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: mikael@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--000000000000ba029a05a126856f
Content-Type: text/plain; charset="UTF-8"

This is a more up-to-date log where a problem in my environment (both on
local and build host) was fixed:

mdj@hat:~$ guix offload test
guix offload: testing 1 build machines defined in
'/etc/guix/machines.scm'...
guix offload: Guix is usable on 'wand.pdc.kth.se' (test returned
"/gnu/store/883yjkl46dxw9mzykykmbs0yzwyxm17z-test")
guix offload: 'wand.pdc.kth.se' is running GNU Guile 3.0.1
sending 1 store item (0 MiB) to 'wand.pdc.kth.se'...
exporting path `/gnu/store/gl7dps3yx0vrxz16sj7q3w7gs3vdbxj4-export-test'
;;; [2020/03/18 20:53:04.930901, 0] write_to_channel_port: [GSSH ERROR]
Remote channel is closed: #<input-output: channel (open) 7f5ed680e780>
Backtrace:
           1 (primitive-load "/home/mdj/.config/guix/current/bin/guix")
In guix/ui.scm:
  1833:12  0 (run-guix-command _ . _)

guix/ui.scm:1833:12: In procedure run-guix-command:
Throw to key `guile-ssh-error' with args `("write_to_channel_port" "Remote
channel is closed" #<input-output: channel (open) 7f5ed680e780> #f)'.

--000000000000ba029a05a126856f
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>This is a more up-to-date log where a problem in my e=
nvironment (both on local and build host) was fixed:</div><div><br></div><d=
iv>mdj@hat:~$ guix offload test<br>guix offload: testing 1 build machines d=
efined in &#39;/etc/guix/machines.scm&#39;...<br>guix offload: Guix is usab=
le on &#39;<a href=3D"http://wand.pdc.kth.se">wand.pdc.kth.se</a>&#39; (tes=
t returned &quot;/gnu/store/883yjkl46dxw9mzykykmbs0yzwyxm17z-test&quot;)<br=
>guix offload: &#39;<a href=3D"http://wand.pdc.kth.se">wand.pdc.kth.se</a>&=
#39; is running GNU Guile 3.0.1<br>sending 1 store item (0 MiB) to &#39;<a =
href=3D"http://wand.pdc.kth.se">wand.pdc.kth.se</a>&#39;...<br>exporting pa=
th `/gnu/store/gl7dps3yx0vrxz16sj7q3w7gs3vdbxj4-export-test&#39;<br>;;; [20=
20/03/18 20:53:04.930901, 0] write_to_channel_port: [GSSH ERROR] Remote cha=
nnel is closed: #&lt;input-output: channel (open) 7f5ed680e780&gt;<br>Backt=
race:<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A01 (primitive-load &quot;/=
home/mdj/.config/guix/current/bin/guix&quot;)<br>In guix/ui.scm:<br>=C2=A0 =
1833:12 =C2=A00 (run-guix-command _ . _)<br><br>guix/ui.scm:1833:12: In pro=
cedure run-guix-command:<br>Throw to key `guile-ssh-error&#39; with args `(=
&quot;write_to_channel_port&quot; &quot;Remote channel is closed&quot; #&lt=
;input-output: channel (open) 7f5ed680e780&gt; #f)&#39;.</div><div><br></di=
v></div>

--000000000000ba029a05a126856f--




Information forwarded to bug-guix@HIDDEN:
bug#40125; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Mar 2020 19:59:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 18 15:59:07 2020
Received: from localhost ([127.0.0.1]:41452 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jEeqJ-0005Oy-A2
	for submit <at> debbugs.gnu.org; Wed, 18 Mar 2020 15:59:07 -0400
Received: from lists.gnu.org ([209.51.188.17]:40723)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mdjurfeldt@HIDDEN>) id 1jEeqH-0005Oo-7N
 for submit <at> debbugs.gnu.org; Wed, 18 Mar 2020 15:59:05 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:48671)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <mdjurfeldt@HIDDEN>) id 1jEeqF-00012l-Ih
 for bug-guix@HIDDEN; Wed, 18 Mar 2020 15:59:04 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE, RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mdjurfeldt@HIDDEN>) id 1jEeqE-0007NT-41
 for bug-guix@HIDDEN; Wed, 18 Mar 2020 15:59:03 -0400
Received: from mail-vs1-f65.google.com ([209.85.217.65]:38646)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <mdjurfeldt@HIDDEN>)
 id 1jEeqD-0007Mw-Vs
 for bug-guix@HIDDEN; Wed, 18 Mar 2020 15:59:02 -0400
Received: by mail-vs1-f65.google.com with SMTP id x206so16183vsx.5
 for <bug-guix@HIDDEN>; Wed, 18 Mar 2020 12:59:01 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:reply-to:from:date:message-id
 :subject:to:cc;
 bh=1VtM7xlafyR21n/taI1PTe6+X2mcsDOEw69OuDbi/kk=;
 b=tuCRxH19tfMAgXEqHSJBBPO+ubjQq5iGVm4ZgyYMAMWjnTOwMmjBZzK2lz+gJgHzgC
 hHebZm0ZKwhr6dmQkUm79ZfCaaNOOHuM2PHV72McFCKSQAyoyPyJPh2ZVwYTqSQEt1it
 tyH7eZgrO4UEjULZBML1O58ZB/5qRD/9lst/KDk7KXlzEcKLeMJpNv/GCnuhfY3+iWtX
 ZqCJ45majRfjV6KRGEgtQ6k/5PZpCLaJAV7n4/gKvA2bsW1rn10mdIWEz5mZ3pH0Edgw
 oTXAQ171RM8sAy4hIUw7t0GpsMThFE7uUPJORedNEzUZb8IUt1r1ZY10TH6XvnoC58U0
 Rvnw==
X-Gm-Message-State: ANhLgQ1ZSsEFj95Ndr91buKSsoby/L7xH+pfxD4fqfkrbhe6JEbhL6i1
 OEDjv0lzgo4bWc5nRSHE8vZSEi/fJ4qRc0k1P22/bxPX
X-Google-Smtp-Source: ADFU+vsBVLVMF8fXudyOFU/B4zJOsVR3mtclP1AAt1pzNHNbSlJkn0PAoUEVBcjvnH3WxuET8VmWx1bPjr5VOQtrvfI=
X-Received: by 2002:a05:6102:22e5:: with SMTP id
 b5mr4441601vsh.101.1584561541061; 
 Wed, 18 Mar 2020 12:59:01 -0700 (PDT)
MIME-Version: 1.0
From: Mikael Djurfeldt <mikael@HIDDEN>
Date: Wed, 18 Mar 2020 20:58:49 +0100
Message-ID: <CAA2XvwKTtJvmKVkgKQw+ZnkyFxdScNLx6KWx4DQx3eP4rt8UUw@HIDDEN>
Subject: Problem with guix offload: Remote channel closed
To: bug-guix@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000c7a0e105a1267bf1"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 209.85.217.65
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: submit
Cc: Mikael Djurfeldt <mikael@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: mikael@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--000000000000c7a0e105a1267bf1
Content-Type: text/plain; charset="UTF-8"

Hi,

I just installed guix on top of Debian Buster using the installation script
at guix.gnu.org. I did this on two machines, hat and wand, with the hope
that I could offload compilation to wand.

This is what I get:

root@hat:~# guix offload test
guile: warning: failed to install locale
hint: Consider installing the `glibc-utf8-locales' or `glibc-locales'
package and
defining `GUIX_LOCPATH', along these lines:

     guix package -i glibc-utf8-locales
     export GUIX_LOCPATH="$HOME/.guix-profile/lib/locale"

See the "Application Setup" section in the manual, for more info.

guix offload: testing 1 build machines defined in
'/etc/guix/machines.scm'...
guix offload: Guix is usable on 'wand.pdc.kth.se' (test returned
"/gnu/store/883yjkl46dxw9mzykykmbs0yzwyxm17z-test")
guix offload: 'wand.pdc.kth.se' is running GNU Guile 3.0.1
sending 1 store item (0 MiB) to 'wand.pdc.kth.se'...
exporting path `/gnu/store/sd0wqvaffi1cbpvf0dq37mab34rmlnav-export-test'
;;; [2020/03/17 12:45:48.671038, 0] write_to_channel_port: [GSSH ERROR]
Remote channel is closed: #<input-output: channel (open) 7f2c1c9831e0>
Backtrace:
           1 (primitive-load "/root/.config/guix/current/bin/guix")
In guix/ui.scm:
  1833:12  0 (run-guix-command _ . _)

guix/ui.scm:1833:12: In procedure run-guix-command:
Throw to key `guile-ssh-error' with args `("write_to_channel_port" "Remote
channel is closed" #<input-output: channel (open) 7f2c1c9831e0> #f)'.

Any hints about what could be wrong?

Best regards,
Mikael Djurfeldt

--000000000000c7a0e105a1267bf1
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><div>Hi,</div><div><br></div><div>I just =
installed guix on top of Debian Buster using the installation script at <a =
href=3D"http://guix.gnu.org" target=3D"_blank">guix.gnu.org</a>. I did this=
 on two machines, hat and wand, with the hope that I could offload compilat=
ion to wand.</div><div><br></div><div>This is what I get:</div><div><br></d=
iv><div>root@hat:~# guix offload test<br>guile: warning: failed to install =
locale<br>hint: Consider installing the `glibc-utf8-locales&#39; or `glibc-=
locales&#39; package and<br>defining `GUIX_LOCPATH&#39;, along these lines:=
<br><br>=C2=A0 =C2=A0 =C2=A0guix package -i glibc-utf8-locales<br>=C2=A0 =
=C2=A0 =C2=A0export GUIX_LOCPATH=3D&quot;$HOME/.guix-profile/lib/locale&quo=
t;<br><br>See the &quot;Application Setup&quot; section in the manual, for =
more info.<br><br>guix offload: testing 1 build machines defined in &#39;/e=
tc/guix/machines.scm&#39;...<br>guix offload: Guix is usable on &#39;<a hre=
f=3D"http://wand.pdc.kth.se" target=3D"_blank">wand.pdc.kth.se</a>&#39; (te=
st returned &quot;/gnu/store/883yjkl46dxw9mzykykmbs0yzwyxm17z-test&quot;)<b=
r>guix offload: &#39;<a href=3D"http://wand.pdc.kth.se" target=3D"_blank">w=
and.pdc.kth.se</a>&#39; is running GNU Guile 3.0.1<br>sending 1 store item =
(0 MiB) to &#39;<a href=3D"http://wand.pdc.kth.se" target=3D"_blank">wand.p=
dc.kth.se</a>&#39;...<br>exporting path `/gnu/store/sd0wqvaffi1cbpvf0dq37ma=
b34rmlnav-export-test&#39;<br>;;;
 [2020/03/17 12:45:48.671038, 0] write_to_channel_port: [GSSH ERROR]=20
Remote channel is closed: #&lt;input-output: channel (open)=20
7f2c1c9831e0&gt;<br>Backtrace:<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
1 (primitive-load &quot;/root/.config/guix/current/bin/guix&quot;)<br>In gu=
ix/ui.scm:<br>=C2=A0 1833:12 =C2=A00 (run-guix-command _ . _)<br><br>guix/u=
i.scm:1833:12: In procedure run-guix-command:<br>Throw
 to key `guile-ssh-error&#39; with args `(&quot;write_to_channel_port&quot;=
 &quot;Remote=20
channel is closed&quot; #&lt;input-output: channel (open) 7f2c1c9831e0&gt;=
=20
#f)&#39;.</div><div><br></div><div>Any hints about what could be wrong?</di=
v><div><br></div><div>Best regards,</div><div>Mikael Djurfeldt</div><div cl=
ass=3D"gmail-adL"><br></div></div></div>

--000000000000c7a0e105a1267bf1--




Acknowledgement sent to mikael@HIDDEN:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#40125; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 21 Mar 2020 22:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.